<div style="text-align: center;">
  <img src="../../../images/afroscreen.png" width="600" height="300">
</div>

# **AFROSCREEN, sequencing capacity building sequencing in Africa**

AFROSCREEN, is a French response program against Covid-19 to strengthen monitoring of the evolution of variants in 13 African countries.


## **Genomic sequencing, a public health tool**

The establishment of a surveillance and sequencing network is an essential public health tool for detecting and containing pathogens with epidemic potential. Genomic sequencing makes it possible to identify pathogens, monitor the emergence and impact of variants, and adapt public health policies accordingly.

The Covid-19 epidemic has highlighted the disparities that remain between continents in terms of surveillance and sequencing systems. At the end of October 2021, of the **4,600,000 sequences** shared on the public and free [GISAID](https://gisaid.org) tool worldwide, only 49,000 came from the African continent, i.e. less than 1% of the cases of Covid-19 diagnosed on this continent.

## **Objectives**

  - Detect SARS-CoV-2 variants and other emerging pathogens.
  - Investigate the epidemiological characteristics and the clinical impact of the variants.
  - Assist in public health decision-making at the national and international level.

In the long term, the program will consolidate technological platforms by structuring a sustainable network for monitoring emerging pathogens in Africa, thus responding to the challenges of “One Health – Global Health”.

## **Network**

The AFROSCREEN project structures a [network](https://www.afroscreen.org/en/network) of 25 laboratories, reference centers and partners in 13 African countries.

## **Actions**

Sequencing is an important surveillance tool, which must be combined with the evaluation of the phenotypic characteristics of new variants.

Indeed, some mutations of the SARS-CoV-2 genome can affect the properties of the virus and influence its transmissibility, spread, speed of replication, clinical presentation of the disease and its ability to circumvent the public health measures deployed to control it. Surveillance and surveys will therefore be conducted in order to define the characteristics of the variants of interest detected in Africa.

In support of the national structures tasked with managing epidemics, such as the various countries’ operations centres for regulation and responses to sanitary and social emergencies (CORRUS), the ‘Public health surveillance and epidemiological surveys’ component of AFROSCREEN includes three areas of intervention, which will be implemented in the countries of the project:

  - Describe the SARS-CoV-2 infection trends in terms of time, place and people by setting up sentinel surveillance
  - Describe the clinical, biological and epidemiological characteristics of confirmed cases of SARS-CoV-2 VOIs/VOCs by investigating those cases
  - Study the transmission factors of the new SARS-CoV-2 variants through the prospective investigation of household contacts

## **Consortium**

As part of the [Covid-19 – Health in Common initiative](https://www.afd.fr/en/actualites/covid-19-health-common-initiative), the French Development Agency (AFD) funded in 2020 three large-scale projects to build the Covid-19 diagnostic capacities of African laboratories:

  - [APHRO-CoV](https://aphro-cov.com)
  - [ARIA-CoV](https://www.ariacov.org)
  - ‘Support for five Pasteur Network institutes in Africa’

In continuity with these projects and following the emergence of the alpha and beta variants, it was decided to join forces and set up AFROSCREEN, a joint project led by a consortium of three French research and public health institutes: ANRS | Maladies infectieuses émergentes, Institut Pasteur and the French National Research Institute for Sustainable Development (IRD), and their networks of 25 partner laboratories and reference centres in 13 countries of sub-Saharan Africa.

## **The steering committee**

The AFROSCREEN project coordination team is made up of a project scientific coordinator and a general coordinator, as well as a scientific coordinator and a project manager for each member of the consortium: ANRS | Maladies infectieuses émergentes, IRD and Institut Pasteur. The representatives of the African partners also sit on the project’s Steering Committee. The three working groups, “laboratory”, “epidemiology” and “communication”, are coordinated by consortium referents.
