# **Glossary**

- **BAM** : _Binary Alignment Map_, représentation binaire compressée des fichiers SAM.
- **BAI** : _BAM Indexes_, index des fichiers BAM.

- **BED** : _Browser Extensible Data_, format texte utilisé pour stocker des régions génomiques sous forme de coordonnées et d’annotations associées.

- **BEDPE** : _BED Paired-End_, extension du format BED, utilisée pour décrire des caractéristiques génomiques disjointes, comme les alignements de séquences en lecture paire (paired-end).

- **FASTA** : _Fast-All_, format texte utilisé pour représenter des séquences de nucléotides ou d’acides aminés (protéines).

- **FASTQ** : _FASTA with Quality_, format texte combinant une séquence biologique et ses scores de qualité correspondants.
- **FAI** : _FASTA Indexes_, index des fichiers FASTA.

- **SAM** : _Sequence Alignment Map_, format texte comprenant un en-tête et une section d’alignement pour les données de séquençage.

- **VCF** : _Variant Call Format_, format utilisé en bioinformatique pour stocker les variations de séquences génétiques.

- **TSV** : _Tab-Separated Values_, format texte pour stocker des données tabulaires, chaque champ étant séparé par une tabulation.

- **YAML** : _YAML Ain't Markup Language_, format souvent utilisé pour les fichiers de configuration ou pour le stockage et la transmission de données.

- **GZ** : _Gnu Zip_, format utilisé pour compresser et décompresser des fichiers uniques.

- **TAR** : _Tarball_, format pour regrouper plusieurs fichiers dans une seule archive, que l’on extrait avec la commande ```tar -xzvf archive.tar.gz```.

- **CLI** : _Command Line Interface_, interface en ligne de commande.
- **GUI** : _Graphical User Interface_, interface graphique utilisateur.
