<div style="text-align: center;">
  <img src="../../../images/afroscreen.png" width="600" height="300">
</div>

# **AFROSCREEN, renforcement des capacités de séquençage en Afrique**

AFROSCREEN, un programme de riposte française contre la Covid-19 pour renforcer la surveillance de l’évolution des variants dans 13 pays d’Afrique.


## **Le séquençage génomique, un outil de santé publique**

La mise en place d’un réseau de surveillance et de séquençage est un outil de santé publique essentiel pour détecter et endiguer les agents pathogènes à potentiel épidémique. Le séquençage génomique permet d’identifier les pathogènes, de suivre l’émergence et l’impact de variants, et d’adapter les politiques de santé publique en conséquence.

L’épidémie de Covid-19 a mis en exergue les disparités qui subsistent entre les continents en termes de dispositifs de surveillance et de séquençage. Fin octobre 2021, sur les **4 600 000 séquences** partagées sur l’outil public et gratuit [GISAID](https://gisaid.org) au niveau mondial, seules 49 000 provenaient du continent africain, soit moins d’1% des cas de Covid-19 diagnostiqués sur ce continent.

## **Objectifs**

  - Détecter les variants du SARS-CoV-2 et autres pathogènes émergents.
  - Investiguer les caractéristiques épidémiologiques et l’impact clinique des variants.
  - Aider à la prise de décision en santé publique au niveau national et international.

Sur le long terme, le programme consolidera des plateformes technologiques en structurant un réseau pérenne de surveillance des pathogènes émergents en Afrique, répondant ainsi aux enjeux « One Health – Santé Globale ».

## **Réseau**

Le projet AFROSCREEN structure un [réseau]((https://www.afroscreen.org/en/network)) de 25 laboratoires, centres de référence et partenaires, dans 13 pays d’Afrique.

## **Actions**

Le séquençage est un outil de surveillance important, qui doit être associé à l’évaluation des caractéristiques phénotypiques de nouveaux variants.

En effet, certaines mutations du génome du SARS-CoV-2 peuvent affecter les propriétés du virus et influer sur sa transmissibilité, sa propagation, sa vitesse de réplication, la présentation clinique de la maladie et sa capacité à contourner les mesures de santé publique mises en place pour le contrôler. Une surveillance et des enquêtes seront donc menées afin de définir les caractéristiques des variants d’intérêt détectés en Afrique.

Trois axes d’intervention
En appui aux structures nationales en charge de la gestion des épidémies tels que les Centres opérationnels et de régulation de la réponse aux urgences sanitaires (CORUS) des différents pays, le volet « Surveillance de santé publique et enquêtes épidémiologiques » du projet AFROSCREEN comprend trois axes d’intervention, qui seront mis en place dans les pays du projet :

  - Décrire les tendances de l’infection à SARS-CoV-2 en terme de temps, lieu, personne par la mise en place d’une surveillance sentinelle
  - Décrire les caractéristiques cliniques, biologiques et épidémiologiques des cas confirmés de VOI/VOC du SARS-CoV-2 par l’investigation des cas confirmés de VOI/VOC du SARS-CoV-2
  - Étudier les facteurs de transmission des nouveaux variants du SARS-CoV-2 par l’investigation prospective des contacts familiaux
  
## **Consortium**

Dans le cadre de l’[initiative Covid-19 – Santé en Commun](https://www.afd.fr/en/actualites/covid\
-19-health-common-initiative), l’AFD a financé en 2020 trois projets d’envergure pour le renforcement des capacités de laboratoires en Afrique pour le diagnostic Covid-19 :

  - [APHRO-CoV](https://aphro-cov.com)
  - [ARIA-CoV](https://www.ariacov.org)
  - « Le soutien à cinq instituts du Pasteur Network en Afrique »

En continuité avec ces projets, et suite à l’émergence des variants alpha et béta, il a été décidé de mutualiser les efforts et de mettre en place le projet AFROSCREEN, un projet commun coordonné par l’ANRS | Maladies infectieuses émergentes, et porté par un consortium des trois institutions françaises de recherche et de santé publique : ANRS Maladies infectieuses émergentes, l’Institut Pasteur et l’IRD, et leurs réseaux de 25 laboratoires et centres de référence et partenaires dans 13 pays d’Afrique subsaharienne.

## **Comité de Pilotage**

L’équipe de coordination du projet AFROSCREEN est composée d’un responsable scientifique et d’une coordinatrice générale, ainsi que d’un coordinateur scientifique et une cheffe de projet pour chaque membre du consortium : ANRS | Maladies infectieuses émergentes, IRD et Institut Pasteur. Les représentants des partenaires africains siègent aussi au Comité du Pilotage du projet. Les trois groupes de travail « laboratoire », « épidémiologie » et « communication » sont coordonnés par des référents du consortium.
